%define pypi_name repoze.lru
%define pkg_name repoze-lru


Name:           python-%{pkg_name}
Version:        0.7
Release:        %mkrel 6
Summary:        A tiny LRU cache implementation and decorator

Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/repoze.lru/
Source0:        %{pypi_source}
BuildArch:      noarch
Obsoletes:      python-repoze.lru < 0.7-4
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.


%package -n python3-%{pkg_name}
Summary:        A tiny LRU cache implementation and decorator
Group:          Development/Python
%{?python_provide:%python_provide python3-repoze-lru}
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-repoze.lru < 0.7-4
Provides:       python3-repoze.lru = %{version}-%{release}

%description -n python3-%{pkg_name}
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pkg_name}
%doc CONTRIBUTORS.txt README.rst
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/repoze/lru
%{python3_sitelib}/%{pypi_name}-%{version}*


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 0.7-6.mga8
+ Revision: 1656419
- obsolete source package also

* Sat Sep 19 2020 joequant <joequant> 0.7-5.mga8
+ Revision: 1628836
- update

* Tue Jun 30 2020 daviddavid <daviddavid> 0.7-4.mga8
+ Revision: 1600775
- obsoletes duplicate python3-repoze.lru pkg

* Sun Feb 16 2020 umeabot <umeabot> 0.7-3.mga8
+ Revision: 1535866
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.7-2.mga8
+ Revision: 1452856
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 0.7-1.mga7
+ Revision: 1354236
- New version

* Sun Sep 23 2018 daviddavid <daviddavid> 0.6-6.mga7
+ Revision: 1297160
- really rename python-repoze-lru

* Sun Sep 23 2018 daviddavid <daviddavid> 0.6-5.mga7
+ Revision: 1297150
- rename python-repoze-lru to python2-repoze-lru

* Thu Sep 20 2018 umeabot <umeabot> 0.6-4.mga7
+ Revision: 1289995
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.6-3.mga7
+ Revision: 1135607
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 10 2015 philippem <philippem> 0.6-1.mga6
+ Revision: 909311
- imported package python-repoze-lru

